#include <kdialog.h>
#include <klocale.h>
/****************************************************************************
** Form implementation generated from reading ui file './fieldselect.ui'
**
** Created by User Interface Compiler
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "fieldselect.h"

#include <qvariant.h>
#include <qpushbutton.h>
#include <qlineedit.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>
#include "qheader.h"
#include "qlistview.h"
#include "vectorlistview.h"

/*
 *  Constructs a FieldSelect as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 *
 *  The dialog will by default be modeless, unless you set 'modal' to
 *  TRUE to construct a modal dialog.
 */
FieldSelect::FieldSelect( QWidget* parent, const char* name, bool modal, WFlags fl )
    : QDialog( parent, name, modal, fl )
{
    if ( !name )
	setName( "FieldSelect" );
    FieldSelectLayout = new QGridLayout( this, 1, 1, 11, 6, "FieldSelectLayout"); 

    _Cancel = new QPushButton( this, "_Cancel" );

    FieldSelectLayout->addWidget( _Cancel, 2, 2 );

    _OK = new QPushButton( this, "_OK" );
    _OK->setDefault( TRUE );

    FieldSelectLayout->addWidget( _OK, 2, 1 );
    spacer35 = new QSpacerItem( 51, 21, QSizePolicy::Expanding, QSizePolicy::Minimum );
    FieldSelectLayout->addItem( spacer35, 2, 0 );

    _vectorSearch = new QPushButton( this, "_vectorSearch" );
    _vectorSearch->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)0, (QSizePolicy::SizeType)0, 0, 0, _vectorSearch->sizePolicy().hasHeightForWidth() ) );

    FieldSelectLayout->addWidget( _vectorSearch, 0, 2 );

    _vectorReduction = new QLineEdit( this, "_vectorReduction" );

    FieldSelectLayout->addMultiCellWidget( _vectorReduction, 0, 0, 0, 1 );

    _vectors = new VectorListView( this, "_vectors" );
    _vectors->addColumn( tr2i18n( "Field/Column" ) );
    _vectors->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)7, (QSizePolicy::SizeType)7, 5, 0, _vectors->sizePolicy().hasHeightForWidth() ) );
    _vectors->setResizePolicy( VectorListView::AutoOneFit );
    _vectors->setSelectionMode( VectorListView::Extended );
    _vectors->setShowSortIndicator( TRUE );

    FieldSelectLayout->addMultiCellWidget( _vectors, 1, 1, 0, 2 );
    languageChange();
    resize( QSize(252, 480).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );
}

/*
 *  Destroys the object and frees any allocated resources
 */
FieldSelect::~FieldSelect()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void FieldSelect::languageChange()
{
    setCaption( tr2i18n( "Field Select" ) );
    _Cancel->setText( tr2i18n( "&Cancel" ) );
    _Cancel->setAccel( QKeySequence( tr2i18n( "Alt+C" ) ) );
    QWhatsThis::add( _Cancel, tr2i18n( "Close dialog without changing field." ) );
    _OK->setText( tr2i18n( "&OK" ) );
    _OK->setAccel( QKeySequence( tr2i18n( "Alt+O" ) ) );
    QWhatsThis::add( _OK, tr2i18n( "Choose selected field" ) );
    _vectorSearch->setText( tr2i18n( "S&earch" ) );
    _vectorSearch->setAccel( QKeySequence( tr2i18n( "Alt+E" ) ) );
    QWhatsThis::add( _vectorSearch, tr2i18n( "Appends the '*' wild card to the beginning and end of the search filter to match everything containing the search filter text." ) );
    QToolTip::add( _vectorReduction, tr2i18n( "Search Filter" ) );
    QWhatsThis::add( _vectorReduction, tr2i18n( "Search Filter: Fields matching this filter will be highlighted and moved to the top of the Available data list.  '*' and '?' wild cards are supported." ) );
    _vectors->header()->setLabel( 0, tr2i18n( "Field/Column" ) );
    QToolTip::add( _vectors, tr2i18n( "Field selection: Checked fields are plotted." ) );
    QWhatsThis::add( _vectors, tr2i18n( "Available data: This box lists all fields which have not been selected for plotting.  To select a field for plotting, move it to the Selected data list, by dragging it with the mouse, by double clicking, or by highlighting it, and clicking on the select button (Right Arrow - accelerator is Alt-s)." ) );
}

#include "fieldselect.moc"
